<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::MeshSerializerImpl Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#5b2d1fe51a6a6276b3408e3e2979abb3">calcAnimationSize</a>(const Animation *anim)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#ba22db3fffa7084d1e944ef9bf96eee1">calcAnimationsSize</a>(const Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#883f8e5dc855e78d8ee152f97032170d">calcAnimationTrackSize</a>(const VertexAnimationTrack *track)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#86a605a8167ad4b84e73189b99048dc0">calcBoneAssignmentSize</a>(void)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#57fef101bdb14b65534efb1bf6c4c675">calcEdgeGroupSize</a>(const EdgeData::EdgeGroup &amp;group)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#fde5e987a1b73b8c28d8ac650140441e">calcEdgeListLodSize</a>(const EdgeData *data, bool isManual)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#80ee338596db87251cb86cd4fa7994b3">calcEdgeListSize</a>(const Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#e425b21813acb3c45339fc5c225615d9">calcGeometrySize</a>(const VertexData *pGeom)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#2ef95d6ca941974aa43d62cf4d110df0">calcMeshSize</a>(const Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#1c31a2b8c48e61004b395babbcda71fa">calcMorphKeyframeSize</a>(const VertexMorphKeyFrame *kf, size_t vertexCount)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#983395934372109542f27ecf6b3a7444">calcPoseKeyframePoseRefSize</a>(void)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#da23579ed5ad4990f45dac650a8152c0">calcPoseKeyframeSize</a>(const VertexPoseKeyFrame *kf)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#c2433226d5d8f962ead1a4d9ef7760ba">calcPoseSize</a>(const Pose *pose)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#662b7f79ed27bfdc8399c6e28ddce8f0">calcPosesSize</a>(const Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#9c63dd7c75ee84a79af1748f1a999ded">calcPoseVertexSize</a>(void)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#c140f79efe972e64fbc86311b0a25275">calcSkeletonLinkSize</a>(const String &amp;skelName)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#8540fcfa526fc9c91646f86b8e8b47d7">calcSubMeshNameTableSize</a>(const Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#c700035696d77a72c1b517629f0a3477">calcSubMeshOperationSize</a>(const SubMesh *pSub)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#2cebfd3b4e0ff39e445311fc80a5718c">calcSubMeshSize</a>(const SubMesh *pSub)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#750c392485d62e0129ec2788972cd714">calcSubMeshTextureAliasesSize</a>(const SubMesh *pSub)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#93f9ec041b52aa6066fd0063733506b6">determineEndianness</a>(DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#61f017bac1e2b407925576284bc7665b">determineEndianness</a>(Endian requestedEndian)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> enum name</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d397f044c7683a7374276db6e7060f51240">ENDIAN_BIG</a> enum value</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d3910ce3b8f55cba526f6bc8237d8b25cc3">ENDIAN_LITTLE</a> enum value</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39ed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a> enum value</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#1bc27ac6fbb500ff4454f44bd39398ad">exportMesh</a>(const Mesh *pMesh, const String &amp;filename, Endian endianMode=ENDIAN_NATIVE)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#055dbc64180d510abe7509df8f0571ca">flipEndian</a>(void *pData, size_t vertexCount, size_t vertexSize, const VertexDeclaration::VertexElementList &amp;elems)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#405c917e6b188b6d6ead13678295232f">Ogre::Serializer::flipEndian</a>(void *pData, size_t size, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#89070a1dc03c189077deabce47120165">Ogre::Serializer::flipEndian</a>(void *pData, size_t size)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#dc4c81fd41cd2c6c43cc9060935cbd2e">flipFromLittleEndian</a>(void *pData, size_t vertexCount, size_t vertexSize, const VertexDeclaration::VertexElementList &amp;elems)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5beba950e3b4635070b3bb8eb41c408c">Ogre::Serializer::flipFromLittleEndian</a>(void *pData, size_t size, size_t count=1)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#194b10e5156dd8590203eb6c946194cf">flipToLittleEndian</a>(void *pData, size_t vertexCount, size_t vertexSize, const VertexDeclaration::VertexElementList &amp;elems)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#61ff1a3d78ef5d23cabe1322a438ea22">Ogre::Serializer::flipToLittleEndian</a>(void *pData, size_t size, size_t count=1)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#577d8382e02e544ab164269b0eacef63">importMesh</a>(DataStreamPtr &amp;stream, Mesh *pDest)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#6331ceec847b83fed77165c9522eaa4f">mCurrentstreamLen</a></td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#3e3b5ec381592b2a925d174a9a03730f">MeshSerializerImpl</a>()</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a0773a2ca956fa2864ac50f57d0aa9a2">mFlipEndian</a></td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#adee4932c73bfbcb3104245bbba4b50f">mpfFile</a></td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#45b8d6fa3d3c64b3ab3dfe3a5084e3b4">mVersion</a></td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#499737f8f59862259e6427dfb1a22d19">readAnimation</a>(DataStreamPtr &amp;stream, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#2a68589149f76511478e1634ee3cd17b">readAnimations</a>(DataStreamPtr &amp;stream, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#b5c51d25cf433701c75497e14a6c7c77">readAnimationTrack</a>(DataStreamPtr &amp;stream, Animation *anim, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#95ed554722facb385f7fa3b53622356b">readBools</a>(DataStreamPtr &amp;stream, bool *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#a891c386989f9bae0f2b74bc379d8a9b">readBoundsInfo</a>(DataStreamPtr &amp;stream, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#333f02260ebafef1648f5824a60e499d">readChunk</a>(DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#251de5e20a0200d2c975935734f33297">readEdgeList</a>(DataStreamPtr &amp;stream, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#16653057723d6f0cba5e8f7eb564f15b">readEdgeListLodInfo</a>(DataStreamPtr &amp;stream, EdgeData *edgeData)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#81852b5f3331722e072af3b517cb10be">readExtremes</a>(DataStreamPtr &amp;stream, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5fcbfcf0fdacd57eed50bd4ec1d39248">readFileHeader</a>(DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#3d7fb441425335ae97b4a157179db336">readFloats</a>(DataStreamPtr &amp;stream, float *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#ec3cb2bc0bd8a31fc799323777881662">readFloats</a>(DataStreamPtr &amp;stream, double *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#eac4cec500fa974276450cf13a49065c">readGeometry</a>(DataStreamPtr &amp;stream, Mesh *pMesh, VertexData *dest)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#b6a9eba57fc37245123339fc6888137d">readGeometryVertexBuffer</a>(DataStreamPtr &amp;stream, Mesh *pMesh, VertexData *dest)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#ea26388c472a32b05e706df2c2b200c2">readGeometryVertexDeclaration</a>(DataStreamPtr &amp;stream, Mesh *pMesh, VertexData *dest)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#a8b658c7b43f031cfc1a5c1a9a04ac01">readGeometryVertexElement</a>(DataStreamPtr &amp;stream, Mesh *pMesh, VertexData *dest)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#8ac6fb727f1d63972b17269d473dfbe6">readInts</a>(DataStreamPtr &amp;stream, uint32 *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#f411ca9c14f8ac7fc08fadfe42ff3c4b">readMesh</a>(DataStreamPtr &amp;stream, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#9c1fd835deff64453954b6688bbae290">readMeshBoneAssignment</a>(DataStreamPtr &amp;stream, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#9a045c67cf9e8afa77dbe950d40c06f1">readMeshLodInfo</a>(DataStreamPtr &amp;stream, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#76e757278d0f06586639a632f2ff5a92">readMeshLodUsageGenerated</a>(DataStreamPtr &amp;stream, Mesh *pMesh, unsigned short lodNum, MeshLodUsage &amp;usage)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#1b526fbe2e45f362792ccefa3490d4c1">readMeshLodUsageManual</a>(DataStreamPtr &amp;stream, Mesh *pMesh, unsigned short lodNum, MeshLodUsage &amp;usage)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#77388683342972cc3a2ff4385e42f96b">readMorphKeyFrame</a>(DataStreamPtr &amp;stream, VertexAnimationTrack *track)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#1bd2ca7c8454264f1bffe703bfe5935d">readObject</a>(DataStreamPtr &amp;stream, Vector3 &amp;pDest)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#13a9f1111633227f422fef070f6008f6">readObject</a>(DataStreamPtr &amp;stream, Quaternion &amp;pDest)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#c8abf501a274e237eeeb6ab262ce8f22">readPose</a>(DataStreamPtr &amp;stream, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#128e89528847c2dbade22f65b196d8e0">readPoseKeyFrame</a>(DataStreamPtr &amp;stream, VertexAnimationTrack *track)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#26953f3ae620da04c3bb3c4f1718c40e">readPoses</a>(DataStreamPtr &amp;stream, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#9c2e328bda8cc2e0ae7f202ad643f0d2">readShorts</a>(DataStreamPtr &amp;stream, uint16 *pDest, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#81229172c4c341ffc66fa195353fe76d">readSkeletonLink</a>(DataStreamPtr &amp;stream, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#235a4bb6da1fe66326b1c05678ad878f">readString</a>(DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#a8ed220a17c4edb0ed32f925fbe837f6">readString</a>(DataStreamPtr &amp;stream, size_t numChars)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#9aef0b2c169779af210ca06093de0e24">readSubMesh</a>(DataStreamPtr &amp;stream, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#ee15094b8b4937849a03cf7efa1c7d86">readSubMeshBoneAssignment</a>(DataStreamPtr &amp;stream, Mesh *pMesh, SubMesh *sub)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#dc474c4bf90b9721f97088d3f552be85">readSubMeshNameTable</a>(DataStreamPtr &amp;stream, Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#9d8a5b2267f642b32ad92764c3e15cfc">readSubMeshOperation</a>(DataStreamPtr &amp;stream, Mesh *pMesh, SubMesh *sub)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#861d0250cb47ab6c9e6c6c6c4b687ef6">readSubMeshTextureAlias</a>(DataStreamPtr &amp;stream, Mesh *pMesh, SubMesh *sub)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#ae2498ea5d389ae2f0ae4c8fb7b3d712">readTextureLayer</a>(DataStreamPtr &amp;stream, Mesh *pMesh, MaterialPtr &amp;pMat)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#3268ab522d56e98d88b604255b0f43d4">Serializer</a>()</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#73964a564d31ebfd6055fabb9833ab84">writeAnimation</a>(const Animation *anim)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#0c4103d40e00f2325a2e4880078b4e99">writeAnimations</a>(const Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#1f4a1620141f082e8cf1384a38b4f036">writeAnimationTrack</a>(const VertexAnimationTrack *track)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#4f7209961701f9c90c5e48f264394d48">writeBools</a>(const bool *const pLong, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#0bd7b9bbddd847c1d044fffb0e1ea98d">writeBoundsInfo</a>(const Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#fa565aa6d4619af064a12f470539e575">writeChunkHeader</a>(uint16 id, size_t size)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#3eb5614dd7d87ce109d74f5bb6f07b0f">writeData</a>(const void *const buf, size_t size, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#d3543806f4e377f67b824061ed2cc33e">writeEdgeList</a>(const Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#b9c14b762574b6816bf75fd5ecd2cbbd">writeExtremes</a>(const Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#7a25395a380ecdda85b1baeacf4a8a07">writeFileHeader</a>(void)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#eab7d76e6f420e1be6e6c60d9b12a6c6">writeFloats</a>(const float *const pfloat, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#063a40c4984f04d0ddf41096a5ffd9b5">writeFloats</a>(const double *const pfloat, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#b5ca7d478eb77aa5d701429dbb684fff">writeGeometry</a>(const VertexData *pGeom)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#8191e338697b554a8ccf4fc16fd4a47e">writeInts</a>(const uint32 *const pInt, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#5dcc5ebdf9f9ddeb72e74bcd4ece1e20">writeLodInfo</a>(const Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#eaa886fff5031d75dfae3c4442a853ba">writeLodSummary</a>(unsigned short numLevels, bool manual)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#f3d22a4f3572ede6c3fbd043deb4cf12">writeLodUsageGenerated</a>(const Mesh *pMesh, const MeshLodUsage &amp;usage, unsigned short lodNum)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#71a34b4f7414b943df1b4143e4d5f4c6">writeLodUsageManual</a>(const MeshLodUsage &amp;usage)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#49c56af82c5edff7ddd48a36511ee87f">writeMesh</a>(const Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#3b515e0bd1aaa8de474045d26483113f">writeMeshBoneAssignment</a>(const VertexBoneAssignment &amp;assign)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#b801a7216c0730279c9f9368a3169097">writeMorphKeyframe</a>(const VertexMorphKeyFrame *kf, size_t vertexCount)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#c76c37d13ca53e5af9c146c546d0f401">writeObject</a>(const Vector3 &amp;vec)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#3152bb5fb33d99dff568b6d03d6c25e0">writeObject</a>(const Quaternion &amp;q)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#8e94818a1e0cfb220f02ce6c2f06bd40">writePose</a>(const Pose *pose)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#5e6d6c7a21ad912af41e7e27fd0f3feb">writePoseKeyframe</a>(const VertexPoseKeyFrame *kf)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#cb845089fc0e8f3f8445550fd3043da2">writePoseKeyframePoseRef</a>(const VertexPoseKeyFrame::PoseRef &amp;poseRef)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#086fd68ae475dc35f92cc4f45199d401">writePoses</a>(const Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#dd3fca628a66fa8f58db9a98bfbee78e">writeShorts</a>(const uint16 *const pShort, size_t count)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#bb2a2f750911b7575c2b8b0aa88dcbe9">writeSkeletonLink</a>(const String &amp;skelName)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#5ee71fde1e0d85bd15172b023474174e">writeString</a>(const String &amp;string)</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#255693ae937626b09318d034bc45a9e3">writeSubMesh</a>(const SubMesh *s)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#bd69984f3c3f98e2bbe071ff2c4d3633">writeSubMeshBoneAssignment</a>(const VertexBoneAssignment &amp;assign)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#f2fecb72bfaec07a4ad52d4eeec9bb89">writeSubMeshExtremes</a>(unsigned short idx, const SubMesh *s)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#76f548fdcc7505fb1071b59ce08bdbdd">writeSubMeshNameTable</a>(const Mesh *pMesh)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#620f1931c841d3d1687d130fa5d35783">writeSubMeshOperation</a>(const SubMesh *s)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#7333b98faa7ffd77cef3073956545c0e">writeSubMeshTextureAliases</a>(const SubMesh *s)</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html#463303d3589d155222a85792ac88145c">~MeshSerializerImpl</a>()</td><td><a class="el" href="classOgre_1_1MeshSerializerImpl.html">Ogre::MeshSerializerImpl</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Serializer.html#78a593233ff92623bc48b15e00cf90cc">~Serializer</a>()</td><td><a class="el" href="classOgre_1_1Serializer.html">Ogre::Serializer</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:44 2008
</p>
</body>
</html>
